## org.freedesktop.NetworkManager.Device.Infiniband

org.freedesktop.NetworkManager.Device.Infiniband

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress  readable   s
    Carrier    readable   b

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.

### The "Carrier" property

    Carrier  readable   b

Indicates whether the physical carrier is found (e.g. whether a cable is plugged in or not).